PROGRAM   FindNex_ ;
USES   DOS ;

VAR
   G_SearchRec : SearchRec ;
BEGIN
   WriteLn ( '        Name      Size  Attr  Time' );

   FindFirst ( '*.*' , AnyFile , G_SearchRec );
   WHILE DosError = 0 DO BEGIN
      Write (   G_SearchRec.Name:12   );
      Write (   G_SearchRec.Size:10   );
      Write (   G_SearchRec.Attr:5    );
      Write (   G_SearchRec.Time:12   );
      WriteLn ;

      FindNext ( G_SearchRec );
   END;
END.
